From: Mikulas Patocka <mpatocka@redhat.com>

Return a specific error message if there are an invalid number of multipath
arguments.

This invalid command returns an "Unknown error" because the ti->error field is
not set

dmsetup create --table '0 2 multipath 0 0 1 1 round-robin 0 1 1 /dev/sdh' mpath0

Signed-off-by: Mikulas Patocka <mpatocka@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
---
 drivers/md/dm-mpath.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

Index: linux-2.6.26/drivers/md/dm-mpath.c
===================================================================
--- linux-2.6.26.orig/drivers/md/dm-mpath.c	2008-07-20 18:45:53.000000000 +0100
+++ linux-2.6.26/drivers/md/dm-mpath.c	2008-07-20 18:46:04.000000000 +0100
@@ -625,8 +625,10 @@ static struct priority_group *parse_prio
 		struct pgpath *pgpath;
 		struct arg_set path_args;
 
-		if (as->argc < nr_params)
+		if (as->argc < nr_params) {
+			ti->error = "not enough path parameters";
 			goto bad;
+		}
 
 		path_args.argc = nr_params;
 		path_args.argv = as->argv;
